Name:		sitecopy
Version:	0.16.6
Release:	%mkrel 16
Summary:	Tool for easily maintaining remote web sites
License:	GPLv2+
Group:		Networking/File transfer
Source0:	http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
Source1:	%{name}.bash-completion
Patch0:		configure-0.16.6.patch
URL:		https://www.manyfish.co.uk/sitecopy/
BuildRequires:	pkgconfig(neon)

%description
sitecopy allows you to easily maintain remote Web sites.  The program
will upload files to the server which have changed locally, and delete
files from the server which have been removed locally, to keep the
remote site synchronized with the local site, with a single
command. sitecopy will also optionally try to spot files you move
locally, and move them remotely.  FTP and WebDAV servers are
supported.

%prep
%autosetup -p1


%build
export CFLAGS="%optflags -fPIE"
export LDFLAGS="%ldflags -pie"
%configure \
	--enable-debug \
	--with-ssl \
	--with-neon \
	--disable-rsh
%make_build

%install
%make_install

%find_lang %{name}

# (sb) remove fr man pages
rm -fr %{buildroot}%{_mandir}/fr

# fix doc file permissions
chmod 0644 COPYING ChangeLog NEWS README* THANKS TODO

# (sb) installed but unpackaged files
rm -fr %{buildroot}%{_prefix}/doc

install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog NEWS README* THANKS TODO
%{_bindir}/sitecopy
%{_mandir}/man1/*
%{_datadir}/sitecopy
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Fri Dec 27 2024 daviddavid <daviddavid> 0.16.6-16.mga10
+ Revision: 2130666
- add neon 34 support

* Sat Mar 19 2022 umeabot <umeabot> 0.16.6-15.mga9
+ Revision: 1800017
- Mageia 9 Mass Rebuild

* Thu Mar 17 2022 neoclust <neoclust> 0.16.6-14.mga9
+ Revision: 1797252
- Add neon version 31 support

* Fri Aug 21 2020 joequant <joequant> 0.16.6-13.mga8
+ Revision: 1617149
- remove arm workaround

* Fri Feb 14 2020 umeabot <umeabot> 0.16.6-12.mga8
+ Revision: 1517049
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.16.6-11.mga7
+ Revision: 1301051
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 wally <wally> 0.16.6-10.mga7
+ Revision: 1236619
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 0.16.6-9.mga6
+ Revision: 939576
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.16.6-8.mga5
+ Revision: 747042
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.6-7.mga5
+ Revision: 689175
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.16.6-6.mga5
+ Revision: 660730
- Fix build

* Fri Oct 18 2013 umeabot <umeabot> 0.16.6-5.mga4
+ Revision: 518398
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.16.6-4.mga3
+ Revision: 382097
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 01 2011 kharec <kharec> 0.16.6-3.mga2
+ Revision: 161055
- imported package sitecopy

